xinput_calibrator(1)

NAME
xinput_calibrator - A generic touchscreen calibration program for X.Org

SYNOPSIS
xinput_calibrator [OPTIONS]

DESCRIPTION
xinput_calibrator is a program for calibrating your touchscreen, when using the X Window System.

It currently features:
- works for any standard Xorg touchscreen driver (uses XInput protocol)
- mis-click detection (prevents bogus calibration)
- dynamically recalibrates the evdev driver
- outputs the calibration as xorg.conf.d snippet or HAL policy file
- and more

see http://www.freedesktop.org/wiki/Software/xinput_calibrator

OPTIONS

-h, --help
    Print a help message listing the version and available options.

-v, --verbose
    Print debug messages during the process.

--list
    List the calibratable input devices.

--device device_name_or_id
    Select a specific device to calibrate; use --list to list the calibratable input devices.

--precalib min_x max_x min_y max_y
    Manually provide the current calibration setting.
    This is useful if the calibration values are stored in your xorg.conf, but the driver does not export them through XInput (eg. the calibrator can not know these values)

--misclick nr_of_pixels
    set the misclick threshold (0=off, default: 15 pixels)

--no-timeout
    turns off the timeout

--output-type auto|xorg.conf.d|hal|xinput
    type of config to ouput (auto=automatically detect, default: auto)

--fake
    Emulate a fake driver (for testing purposes)
    Useful to test the calibrator without applying the values, and possibly even without having a touchscreen.

--geometry widthxheight
    Manually provide the geometry (width and height) for the calibration window.

USAGE
Run xinput_calibrator in a terminal, as it prints out the calibration values and instructions on standard output.

After clicking the 4 calibration points, xinput_calibrator will calculate the new calibration values. Depending on the Xorg touchscreen driver you use, the new values can be made permanent in different ways:

Evdev:
    Automatically recalibrates the driver for this session,
    Supports following --output-types: auto, xorg.conf.d, hal, xinput

Usbtouchscreen:
    Automatically recalibrates the *kernel module*, saved in /etc/modprobe.conf.local
    Supports following --output-types: auto

Other Xorg touchscreen drivers:
    No automatic calibration possible,
    Supports following --output-types: auto, xorg.conf.d, hal

EXAMPLES
To run the calibrator, type in your terminal:

    xinput_calibrator

If something goes wrong, or not as expected, turn on verbose messages:

    xinput_calibrator -v

If you have to manually provide the current calibration values (when using EVDEV, you can use this to reset the calibration first):

    xinput_calibrator --precalib 0 1000 0 1000

TROUBLESHOOTING
In general, run the calibrator with the -v option, it will tell you what happens and what goes wrong.

Mis-click detection, the calibrator can automatically detect clicks with unreasonable values. This prevents you from ending up with a bogus calibration.

If you keep getting the message 'Mis-click detected, restarting...', one of the following is happening:
  1. you are bad at clicking on crosses, use a stylus or increase the --misclick threshold
  2. your device is not properly supported by the kernel, it interprets the clicks wrong
  3. your screen has a non-linear deformation, 4-point calibration can not help you

SEE ALSO
xinput(1)

AUTHORS
Tias Guns <tias@ulyssis.org>